apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  name: mathmast-regular
rules:
  - apiGroups: ["rbac.authorization.k8s.io"]
    resources: ["clusterrolebindings", "clusterroles", "roles", "rolebindings"]
    verbs: ["get", "list", "watch"]
---
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRoleBinding
metadata:
  name: mathmast-regular-cr-binding
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: ClusterRole
  name: mathmast-regular
subjects:
- apiGroup: rbac.authorization.k8s.io
  kind: Group
  name: mathmast:basic-user